Loading...
Searching...
No Matches
pappso::ExceptionInterrupted Class Reference

`#include <exceptioninterrupted.h>`

Inheritance diagram for pappso::ExceptionInterrupted:

## Public Member Functions

| ExceptionInterrupted (const QString &message) throw ()
virtual QException * | clone () const override
Public Member Functions inherited from pappso::PappsoException
| PappsoException (const QString &message) throw ()
| PappsoException (const PappsoException &other) throw ()
void | raise () const override
virtual const QString & | qwhat () const throw ()
const char * | what () const noexcept override
virtual | ~PappsoException () throw ()

## Detailed Description

Definition at line 35 of file exceptioninterrupted.h.

## Constructor & Destructor Documentation

## ExceptionInterrupted()

pappso::ExceptionInterrupted::ExceptionInterrupted | ( | const QString & | message | ) |
throw | ( | ) |  |  |

inline

Definition at line 38 of file exceptioninterrupted.h.

: PappsoException(message)
{
}
pappso::PappsoException::PappsoException
PappsoException(const QString &message)
Definition pappsoexception.h:43

Referenced by clone().

## Member Function Documentation

## clone()

virtual QException * pappso::ExceptionInterrupted::clone | ( |  | ) | const

inline override virtual

Reimplemented from pappso::PappsoException.

Definition at line 44 of file exceptioninterrupted.h.

{
return new ExceptionInterrupted(*this);
}
pappso::ExceptionInterrupted::ExceptionInterrupted
ExceptionInterrupted(const QString &message)
Definition exceptioninterrupted.h:38

References ExceptionInterrupted().

The documentation for this class was generated from the following file:

- pappsomspp/core/exception/exceptioninterrupted.h